<?php
	session_start();
	if($_SESSION['rid'])
	{
		$userid=$_SESSION['rid'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		date_default_timezone_set("asia/Kolkata");
	    $datetime= Date("Y-m-d - h:i:s A");
		$time= Date("h:i:s A");
		$date= Date("Y-m-d");

    	
?>
<html>
<title>LLP Recharge</title>
<head>
<style>
body{background:url('bg.jpg'); background-size:cover; width:100%; height:700px; margin:0px;}

.head{background:; width:1350px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420; font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040; font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420; margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
	
.menu{background:#996420; height:40px; width:1300px; margin:0 0 0 20px; padding:0;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #bal:hover{background:#996420; cursor:text;}
 

 #heading{margin-left:20px;}
 .search{width:1300px; margin:10 0 0 20px; height:60px; line-height:60px;}
  .rechhistoryhead{width:1400px; background:#996420; color:white; height:40px;
 margin:0  0 0 20px; line-height:40px;}
 .rechhistoryhead p{margin-left:10px;}
 .rechreport{ margin:0;}
#t1{ width:1400px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px; }
#t1 th{font-family:calibri; background:#94928f; color:white; font-size:20px;}
#t1 td{font-family:calibri; font-size:18px;}
#t1 tr:nth-child(odd){}
 
 #red{background:#f8c4c8;}
 #white{background:#e6fbea;}
.foot{margin:50px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
	</div>
	<div class="menu">
		<ul>
			<li><a href="recharge_home.php" id="a1">Home</a></li>
			<li>Reports
				<ul>
					<li><a href="recharge_history.php">Recharge History</a></li>
					<li><a href="account_reports.php">Account Reports</a></li>
					<li><a href="check_status.php">Check Status</a></li>
				</ul>
			</li>
			<li>Documents
				<ul>
					<li><a href="my_commission.php">My Commission</a></li>
					<li><a href="commision.php">Get Commission</a></li>
					<li><a href="complain.php">Complain</a></li>
				</ul>
			</li>
			<li>Profile
				<ul>
					<li><a href="change_profile.php">Change Profile</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Payment Request
				<ul>
					<li><a href="payment_request.php">Update Payment</a></li>
					<li><a href="bank_list.php">Bank List</a></li>
				</ul>
			</li>
			<li id="bal">Balance : <?php echo $currentbal; ?></li>
		</ul>
	</div>
		<h3 id="heading">Account Reports<h3><hr>
	<div class="search">
	<form method="post">
		From Date: <input type="date" name="fdate" value="<?php echo $date; ?>">
		From Date: <input type="date" name="ldate" value="<?php echo $date; ?>">
		 <input type="submit" name="submit">
	</form>
	</div>
	
	<div class="rechhistoryhead">
		<p>Transaction Reports</p>
	</div>
	
	<div class="rechreport">
	
		<?php
		include'connection.php';
		
		echo "<table width='100%' border='1' id='t1' cellpadding='5'>";
				echo "<tr>";
					echo "<th>Sl No.</th>";
					echo "<th>E-Wallet Id</th>";
					echo "<th>Date | Time</th>";
					echo "<th>Pay&Rech. Id</th>";
					echo "<th>Txn By</th>";
					echo "<th>Txn Type</th>";
					echo "<th>Mobile No.</th>";
					echo "<th>Amount</th>";
					echo "<th>Operator</th>";
					echo "<th>Discription</th>";
					echo "<th>Credit</th>";
					echo "<th>Debit</th>";
					echo "<th>Closing Bal.</th>";
				echo "</tr>";
		
		if(isset($_POST['submit']))
		{
			$sl=0;
			$fdate=$_POST['fdate'];
			$ldate=$_POST['ldate'];
			
			$getrechhistq="select * from wallet where Userid='$userid' and Date>='$fdate' AND Date<='$ldate'";
			$resultgetrechhid=mysqli_query($con,$getrechhistq);
			while($row=mysqli_fetch_array($resultgetrechhid))
			{
				$sl=$sl+1;
				$Bal = number_format($row['Balance'], 2, '.', '');
				if($row['Transactiontype']=='Recharge_Refund')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
				
				 $PayFromId=$row['Paymentfrom'];
				 $PayToId=$row['Paymentto'];
				$strPayFrom=substr($PayFromId,"0","2");
				$strPayTo=substr($PayToId,"0","2");
				$TableName="";
				if($strPayFrom==50 || $strPayTo==50)
				{
				    $TableName="retailer";
				}
				elseif($strPayFrom==20 || $strPayTo==20)
				{
				    $TableName="distributer";
				}
				elseif($strPayFrom==30 || $strPayTo==30)
				{
				    $TableName="masterdis";
				}
				elseif($strPayFrom==11 || $strPayTo==11)
				{
				    $TableName="admin";
				}
				
				if(empty($PayFromId) && empty($PayToId))
				{
				    $UsrName="Self";
				}
				else
				{
				$quGetName2="select * from $TableName where Userid='$PayFromId' or Userid='$PayToId'";
				$reGetName2=mysqli_query($con,$quGetName2);
				$dataGetName=mysqli_fetch_array($reGetName2);
				$UsrName=$dataGetName['Name'];
				}
				echo "<tr id='$bgcolor'>";
					echo "<td>".$sl."</td>";
					echo "<td>".$row['Id']."</td>";
					echo "<td>".$row['Date']." | ".$row['Time']."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$UsrName."</td>";
					echo "<td>".$row['Transactiontype']."</td>";
					echo "<td>".$row['Mobile']."</td>";
					echo "<td>".$row['Amount']."</td>";
					echo "<td>".$row['Operator']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td>".$row['Credit']."</td>";
					echo "<td>".$row['Debit']."</td>";
					echo "<td>".$Bal."</td>";
				echo "</tr>";
				
				
			}
			
		}
		else
		{
			$sl=0;
			$getrechhistq="select * from wallet where Userid='$userid' order by Id desc limit 20";
			$resultgetrechhid=mysqli_query($con,$getrechhistq);
			while($row=mysqli_fetch_array($resultgetrechhid))
			{
				$sl=$sl+1;
				
	            $Bal = number_format($row['Balance'], 2, '.', '');
				if($row['Transactiontype']=='Recharge_Refund')
				{
					$bgcolor="red";
				}
				else
				{
					$bgcolor="white";
				}
			    $PayFromId=$row['Paymentfrom'];
				$PayToId=$row['Paymentto'];
				$strPayFrom=substr($PayFromId,"0","2");
				$strPayTo=substr($PayToId,"0","2");
				$TableName="";
				if($strPayFrom==50 || $strPayTo==50)
				{
				    $TableName="retailer";
				}
				elseif($strPayFrom==20 || $strPayTo==20)
				{
				    $TableName="distributer";
				}
				elseif($strPayFrom==30 || $strPayTo==30)
				{
				    $TableName="masterdis";
				}
				elseif($strPayFrom==11 || $strPayTo==11)
				{
				    $TableName="admin";
				}
				if(empty($PayFromId) && empty($PayToId))
				{
				    $UsrName="Self";
				}
				else
				{
				$quGetName2="select * from $TableName where Userid='$PayFromId' or Userid='$PayToId'";
				$reGetName2=mysqli_query($con,$quGetName2);
				$dataGetName=mysqli_fetch_array($reGetName2);
				$UsrName=$dataGetName['Name'];
				}
				echo "<tr id='$bgcolor'>";
					echo "<td>".$sl."</td>";
					echo "<td>".$row['Id']."</td>";
					echo "<td>".$row['Date']." | ".$row['Time']."</td>";
					echo "<td>".$row['Paynrechid']."</td>";
					echo "<td>".$UsrName."</td>";
					echo "<td>".$row['Transactiontype']."</td>";
					echo "<td>".$row['Mobile']."</td>";
					echo "<td>".$row['Amount']."</td>";
					echo "<td>".$row['Operator']."</td>";
					echo "<td>".$row['Remarks']."</td>";
					echo "<td>".$row['Credit']."</td>";
					echo "<td>".$row['Debit']."</td>";
					echo "<td>".$Bal."</td>";
						
				echo "</tr>";
			}
			
		}
		echo "</table>";
		?>
	
	</div>
	<div class="foot">
		<p style="text-align:center;">Copyright &copy; 2018 -2019 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>